VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Attributes | List of all members
ClassInfo::Data Struct Reference

`#include <module.h>`

## Public Attributes
UID | classID
int32_t | cardinality
std::string | category
std::string | name
std::string | vendor
std::string | version
std::string | sdkVersion
SubCategories | subCategories
Steinberg::uint32 | classFlags = 0

## Member Data Documentation

## ◆ classID

UID classID

## ◆ cardinality

int32_t cardinality

## ◆ category

std::string category

## ◆ name

std::string name

## ◆ vendor

std::string vendor

## ◆ version

std::string version

## ◆ sdkVersion

std::string sdkVersion

## ◆ subCategories

SubCategories subCategories

## ◆ classFlags

Steinberg::uint32 classFlags = 0

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.